Subject: Blind people unable to install Guix System

From: 宋文武 <[email-masked]>
Date: Tue, 01 Aug 2023 18:29:25 +0800

Simen Endsjø <[email-masked]> writes:

> It was brought to my attention that blind people runs into problems installing
> Guix System, while Debian and Arch have solved this better.
>
> The problem is outlined by the user k.g.roberts, ref
> <https://im-in.space/@bubstance/110805249670354167>:
>
>       The installer for Guix System 1.4.0 is basically the same as I remember it from
>       a few years ago; boots almost immediately into an ncurses menu for locale
>       selection and it takes another few screens to get to the option for a shell. No
>       other assistive technologies built into the installer itself outside of what’s
>       in the kernel, so a blind installation is doable over a remote connection after
>       that point, but would likely be a hassle to get going without additional help
>       from a sighted person.
>
> Dave Dude mention a solution, ref <https://4bear.com/@wx1g/110806497343739940>:
>
>       They’d need to add a console screen reader, like Fenrir or ESpeakup to the
>       installation image, then have something to type, on the boot command line, to
>       start the reader. Debian has done this, on its installation images for a long
>       time. Arch now does something like this, too. Thanks for looking into this!
>
> I’m not the right person to do something like this, just thought I should report
> it in case it’s easy to fix.

Hello, I CC this email to bug-guix to open an issue now.

Thank you for the report!